Skip to main content
Infrastructure/Agents
POSTAgentSince 1.0SynchronousAuth Required

TriggerUpgrade

Trigger an upgrade operation for a single agent to the specified version

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the agent to upgrade

Body Fields

  • upgradeObjectRequired

    Upgrade for this resource

    • toVersionString

      Target version to upgrade the agent to

      Example: 1.5.0

    • artifactUrlString

      URL to download the upgrade artifact from

      Example: https://artifacts.example.com/agent-1.5.0.tar.gz

    • checksumString

      SHA256 checksum for verifying the upgrade artifact

      Example: sha256:abc123def456

Responses

200 OK

On success, this API returns the following response structure.

  • upgradeIdString

    Unique identifier for tracking the upgrade operation

    Example: upg-001-xyz

Endpoint

POST/api/v1/agents/{uuid}/lifecycle/upgrade

/api/v1/agents/{uuid}/lifecycle/upgrade

Operation ID

TriggerUpgrade

Permalink

Request Example

curl -X POST '{host}/api/v1/agents/{uuid}/lifecycle/upgrade' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"upgrade":{"toVersion":"1.5.0","artifactUrl":"https://artifacts.example.com/agent-1.5.0.tar.gz","checksum":"sha256:abc123def456"}}'

Response Example

200
{
  "upgradeId": "upg-001-xyz"
}

Change History

This API has no change history records yet.

View all change history